<?

if ( $_SERVER['HTTP_X_REQUESTED_WITH'] == 'XMLHttpRequest' ) {
    define( 'ROOT', 'http://'.$_SERVER['HTTP_HOST'] );
    define( 'ROOT_DIR', $_SERVER['DOCUMENT_ROOT'] );
    session_start();
    header( 'Content-type: text/html; charset=windows-1251' );
    include_once ROOT_DIR . '/engine/config.php';
    include_once ROOT_DIR . '/engine/function.php';
} else {
    if ( !defined( 'MISOFT' ) ) { exit(); }
}

#кол-во страниц
$forum_mes_page = mysql_query( "SELECT id FROM forum_mes WHERE top_id = '" . ( int ) $_GET['id'] . "'" );
$kolvo = 15;
$all = mysql_num_rows( $forum_mes_page );
$allpage = ceil( $all / $kolvo );
$this_page = ( isset( $_GET['page'] ) ) ? intval( $_GET['page'] ) : 1 ;
if ( $this_page < 1 ) $this_page = 1;
if ( $this_page > $allpage ) $this_page = $allpage;
$start = $this_page * $kolvo - $kolvo;
if ( $start == -$kolvo ) { $start = 1; }

$forum_mes = mysql_query( "SELECT * FROM forum_mes WHERE top_id = '" . ( int ) $_GET['id'] . "' ORDER BY date ASC LIMIT $start,$kolvo" );
if ( mysql_num_rows( $forum_mes ) > 0 ) {

    $forum_top = mysql_fetch_array( mysql_query( "SELECT id, cat_id, top_title, t_close FROM forum_top WHERE id = '" . ( int ) $_GET['id'] . "' LIMIT 1" ) );
    
    if ( strlen( $forum_top['top_title'] ) > 30 ) $forum_top['top_title'] = substr_replace( $forum_top['top_title'], '...', 40, strlen( $forum_top['top_title'] ) );
    $forum_cat = mysql_fetch_array( mysql_query( "SELECT cat_title FROM forum_cat WHERE id = '" . $forum_top['cat_id'] . "' LIMIT 1" ) );
    ?>
    
	<script type="text/javascript">
      $(document).ready(function(){    
		$('.forum_btn_quote').tipTip({defaultPosition:'right'});
        $('.forum_btn_del').tipTip({defaultPosition:'right'});
        $('.forum_btn_block_mes').tipTip({defaultPosition:'right'});
        
	  });
    </script>
    
	<div class="content_bar content_bar_fix_chain">
	
		<div class="navname">
		  <a href="/forum" class="a_box">Форум</a> 
		  | <a href="topic<?=$forum_top['cat_id']?>" class="a_box"><?=$forum_cat['cat_title']?></a>
		  | <span class="navname_act"><?=$forum_top['top_title']?></span>
		</div>
	
		<table class="PostTable">
		  <thead>
			<tr>
			  <th colspan="2"><i class="fa fa-comment-o" aria-hidden="true"></i> Тема: <?=$forum_top['top_title']?></th>
			  
			</tr>
		  </thead>
		  <?
			while ( $forum_mes_row = mysql_fetch_array( $forum_mes ) ) {
				#Пользователь
				$forum_ava_user = mysql_fetch_array( mysql_query( "SELECT id, avatar, username, account, forumblock, userdel FROM user WHERE id = '" . $forum_mes_row['iduser'] . "' LIMIT 1" ) );

				#Статус администрации
				if ( $forum_ava_user['account'] == 5 ) {
					$adm_status = '<div class="forum-post-user-status"><i class="fa fa-shield" aria-hidden="true"></i> Administrator</div>';
				} else 
				if ( $forum_ava_user['account'] == 7 ){
					$adm_status = '<div class="forum-post-user-status"><i class="fa fa-shield" aria-hidden="true"></i> Moderator</div>';
				} else {
					$adm_status = '';
				}
				
				#Кол-во сообщений
				$all_mes_user = mysql_fetch_array( mysql_query( "SELECT COUNT(id) as count FROM forum_mes WHERE iduser = '" . $forum_mes_row['iduser'] . "'" ) );
				
				#Формируем дату сообщения
				$month = array( 'янв', 'фев', 'мар', 'апр', 'май', 'июн', 'июл', 'авг', 'сен', 'окт', 'ноя', 'дек' );
				
				if ( date( 'd.m.Y', $forum_mes_row['date'] ) == date( 'd.m.Y', time() ) ) {
					$mess_time = 'сегодня в ' . date( 'H:i', $forum_mes_row['date'] );
				} else
				if ( date( 'd.m.Y', $forum_mes_row['date'] ) == date( 'd.m.Y', time() - 86400 ) ) {
					$mess_time = 'вчера в ' . date( 'H:i', $forum_mes_row['date'] );
				} else {
					$mess_time = ( int ) date( 'd', $forum_mes_row['date'] ) . ' ' . $month[( int ) date( 'm', $forum_mes_row['date'] ) - 1] . ' ' . date( 'Y', $forum_mes_row['date'] )  . ' в ' . date( 'H:i', $forum_mes_row['date'] );
				}
				
				#Проверяем онлайн
				$online_user = mysql_query( "SELECT id FROM online WHERE iduser = '" . $forum_mes_row['iduser'] . "' LIMIT 1" );
				if ( mysql_num_rows( $online_user ) > 0 ) {
					$on_user = '<span style="color: #3BA58B;">online</span>';
				} else {
					$on_user = '<span style="color: #CD5C5C;">offline</span>';
				}
				
				#Кнопка цитирования
				if ( $forum_top['t_close'] == 0 ) {
					if ( isset( $_SESSION['iduser'] ) and $config_user['forumblock'] == 0 ) {
						$btn_quote = '<a href="#" onclick="forum.Quote(' . $forum_mes_row['id'] . ');return false;" class="forum_btn_quote" id="quote' . $forum_mes_row['id'] . '" title="Цитировать сообщение"><i class="fa fa-quote-left" aria-hidden="true"></i> Цитировать</a>';
					} else {
						$btn_quote = '';
					}
				}
				
				#Кнопка удалить, блокировать, разблокировать
				if ( isset( $_SESSION['iduser'] ) and $config_user['account'] == 5 ) {
					$btn_del = '<a href="#" onclick="forum.DelMsg(' . $forum_mes_row['id'] . ');return false;" class="forum_btn_del" id="del' . $forum_mes_row['id'] . '" title="Удалить сообщение"><i class="fa fa-trash-o" aria-hidden="true"></i> Удалить</a>';
					if ( $forum_ava_user['forumblock'] == 1 ) {
						$btn_block_mes = '<a href="#" onclick="forum.BlockMes(' . $forum_ava_user['id'] . ');return false;" class="forum_btn_block_mes" id="block' . $forum_mes_row['id'] . '" title="Разблокировать пользователя на форуме"><i class="fa fa-ban" aria-hidden="true"></i> Разблокировать</a>';
					} else {
						$btn_block_mes = '<a href="#" onclick="forum.BlockMes(' . $forum_ava_user['id'] . ');return false;" class="forum_btn_block_mes" id="block' . $forum_mes_row['id'] . '" title="Блокировать пользователя на форуме"><i class="fa fa-ban" aria-hidden="true"></i> Бан</a>';
					}
				} else 
				if ( $_SESSION['iduser'] == $forum_ava_user['id'] ){
					$btn_del = '<a href="#" onclick="forum.DelMsg(' . $forum_mes_row['id'] . ');return false;" class="forum_btn_del" id="del' . $forum_mes_row['id'] . '" title="Удалить сообщение"><i class="fa fa-trash-o" aria-hidden="true"></i> Удалить</a>';
				} else {
					$btn_del = '';
					$btn_block_mes = '';
				}
				
				if ( $forum_ava_user['userdel'] == 1 OR $forum_ava_user['userdel'] == '') {
					$forum_ava_user['avatar'] = 'del.png';
				}
				?>
				  <tr id="t<?=$forum_mes_row['id']?>">
					 <td style="width: 110px; vertical-align: top;">
						<div class="forum-ava-post-padding">
						  <div class="div_centralizator">
						    <img src="/temp/avatar/<?=$forum_ava_user['avatar']?>" class="img-thumbnail " width="68" height="68" alt="" />
						  </div>
						  <div class="div_centralizator">
							<a href="id<?=$forum_ava_user['id']?>"  style="color: #444;" ><?=$forum_ava_user['username']?></a>
							<? if ( $forum_ava_user['forumblock'] != 1 ) { ?>
								
								<?=$adm_status?>
								<div class="forum_col_mes">
							      <i class="fa fa-comments-o" aria-hidden="true"></i> <?=$all_mes_user['count']?> | <?=$on_user?>
								</div>
								<?=$bl_forum_mes?>
							<? } else { ?>
								<div class="bl_forum_mes">заблокирован на форуме</div>
							<? } ?>
						  </div>
						</div>
					 </td>
					 <td style="vertical-align: top; background: #FFFFFF;">
						<div class="forum_msg">
							<div class="forum-post-time">
							  <?=$mess_time?>
							  <div class="forum_bottom_panel">
								<div class="func_forum">
								  &nbsp;<?=$btn_block_mes?><?=$btn_del?><?=$btn_quote?>
								</div>
							  </div>
							</div>
							<?=$forum_mes_row['mess']?><br><br>
						</div>
					 </td>
				  </tr>
				<?
			}
		  ?>
		</table>
		<?
		if ( $forum_top['t_close'] == 0 ) {
			if ( isset( $_SESSION['iduser'] ) and $config_user['forumblock'] == 0 ) {
				?>
				<script type="text/javascript">
				  function descchange(elem) {
					if (elem.value.length > 3000) {
					  elem.value = elem.value.substr(0,3000);
					}
					$('#allmsgforum').html(3000-elem.value.length);
				  }
				  tm = setInterval(function() {
					if (location.pathname.indexOf('posts') !== -1) {
					  if ($('#forum_msg').val() != '') {
						descchange(document.getElementById('forum_msg'));
					  }
					} else {
					  clearInterval(tm);
					}
					
				  }, 100);
				
				  $(document).ready(function(){    
					$('.bb-b-forum').tipTip({defaultPosition:'right'});
					$('.bb-i-forum').tipTip({defaultPosition:'right'});
					$('.bb-u-forum').tipTip({defaultPosition:'right'});
					$('.bb-s-forum').tipTip({defaultPosition:'right'});
					$('.bb-sub-forum').tipTip({defaultPosition:'right'});
					$('.bb-sup-forum').tipTip({defaultPosition:'right'});
					$('.bb_quotet').tipTip({defaultPosition:'right'});
					$('.bb_youtube').tipTip({defaultPosition:'right'});
					$('.bb_link').tipTip({defaultPosition:'right'});
				  });
				</script>
				<div class="form-group-post">
				  <div class="bbcode-panel-forum-post ">
					<span onclick="qbb('[b]','[/b]','forum_msg')" id="bb_b" title="Полужирный текст" class="bb-b-forum"><i class="fa fa-bold" aria-hidden="true"></i></span>
					<span onclick="qbb('[i]','[/i]','forum_msg')" id="bb_i" title="Наклонный текст" class="bb-i-forum"><i class="fa fa-italic" aria-hidden="true"></i></span>
					<span onclick="qbb('[u]','[/u]','forum_msg')" id="bb_u" title="Подчеркнутый текст" class="bb-u-forum"><i class="fa fa-underline" aria-hidden="true"></i></span>
					<span onclick="qbb('[s]','[/s]','forum_msg')" id="bb_s" title="Зачеркнутый текст" class="bb-s-forum"><i class="fa fa-strikethrough" aria-hidden="true"></i></span>
					<span onclick="qbb('[sub]','[/sub]','forum_msg')" id="bb_sub" title="Нижний индекс" class="bb-sub-forum"><i class="fa fa-subscript" aria-hidden="true"></i></span>
					<span onclick="qbb('[sup]','[/sup]','forum_msg')" id="bb_sup" title="Верхний индекс" class="bb-sup-forum"><i class="fa fa-superscript" aria-hidden="true"></i></span>
					<span onclick="qbb('[quotet]','[/quotet]','forum_msg')" class="bb_quotet" id="quotet" title="Цитировать текст"><i class="fa fa-quote-left" aria-hidden="true"></i></span>
					<span onclick="forum.ShowSmiles();" class="bb_quotet" id="" title="Выбрать смайлы"><i class="fa fa-smile-o" aria-hidden="true"></i><div class="wrap_smiles_forum_post" ></div></span>
					<span onclick="qbb('[video]','[/video]','forum_msg')" class="bb_youtube" id="video" title="Вставить видео (поддерживаются видео с таких сервисов как – youtube, vk, facebook, rutube, mail.ru и другие.  Просто вставьте ссылку на видео, в теги video)."><i class="fa fa-youtube-play" aria-hidden="true"></i></span>
					<span onclick="qbb('[images]','[/images]','forum_msg')" class="bb_youtube" id="images_forum_post" title="Вставить изображение (поддерживаются форматы jpg/png/bmp/gif)."><i class="fa fa-picture-o" aria-hidden="true"></i></span>
					<span onclick="qbb('[a]','[/a]','forum_msg')" class="bb_link" id="link_forum" title="Вставить ссылку"><i class="fa fa-link" aria-hidden="true"></i></span>
					<div id="allmsgforum" class="allmsgforum" >3000</div>
				  </div>
				  <textarea class="form-control forum-textarea-style" style="" id="forum_msg" onkeyup="descchange(this);"></textarea><br>
				  <a href="#" onclick="forum.NewMsg(<?=( int ) $_GET['id']?>);return false;" class="btn_box_big" id="btn_new_forum_msg">Отправить пост</a>
				</div>
				<?
			} else {
				echo '<div style="margin-top: 15px;" class="alert alert-info alert-dismissible fade in" role="alert">
					Авторизуйтесь, чтобы вы могли создавать новые темы или комментировать. 
				</div>';
			}
		} else {
			echo '<div style="margin-top: 15px;" class="alert alert-info alert-dismissible fade in" role="alert">
				<i class="fa fa-times-circle" aria-hidden="true"></i> Тема закрыта для комментирования. 
			</div>';
		} ?>
        <div class="news_navigation-page"><?=navigation( 15, ( int ) $_GET['page'], $all, 'posts' . ( int ) $_GET['id'] . '&p=' );?></div>
	</div>
    <?
} else {
    echo '<div class="alert alert-warning page-error-fix" role="alert" >
	  <i class="fa fa-exclamation-circle" aria-hidden="true"></i> Ошибка! Тема не существует или удалена. 
	</div>';
}

?>